# Organization Utils Methods

This article presents our organization's Utils methods, which are utility methods that modify the [organization-wide SharinPix settings](/documentation/mobile-app/sharinpix-mobile-app-global-configuration.md).

## Organization Utils Methods Example

**The organization Utils methods include:**

* [getMobileAppConfig:](#getmobileappconfig) Fetches your organization's SharinPix Mobile app configuration
* [updateMobileAppConfig:](#updatemobileappconfig) Updates your organization's SharinPix Mobile app configuration

### getMobileAppConfig

*global Object **getMobileAppConfig**()*

* Fetches your organization's SharinPix Mobile app configuration

```apex
System.debug(sharinpix.OrgUtils.getMobileAppConfig());
```

Example mobile app config on the SharinPix Admin dashboard:

![](/files/TeltGNvhaXa6aqXqarEk)

Example output from the *getMobileAppConfig()* :

```json
{
  "annotation_config": "https://app.sharinpix.com/o/bc40/annotation_configs/5c9a7083-15a5-4027-a652-2e7b94e742c6",
  "checklists": {
    "Handbags": {
      "form": [
        {
          "default_option": "",
          "label": "Status",
          "optional": false,
          "options": [
            "OK",
            "N/A",
            "Uncertain"
          ],
          "type": "select",
          "value": "status"
        }
      ],
      "tags": [
        "Zipper**5",
        "Logo**2",
        "Color**0"
      ]
    }
  }
}
```

### updateMobileAppConfig

*global Object **updateMobileAppConfig**(Map\<String, Object> **config**)*

* Updates your organization's SharinPix Mobile app configuration

#### Using the updateMobileAppConfig method to update the mobile app configurations.

Below an Apex Map\<String, Object> is initialized and used as parameter for the updateMobileAppConfig method. The update will provide the Checklist1 to be used in the mobile app with its available tags and other parameters.

```apex
Map<String, Object> config = new Map<String, Object> {
     'Checklist1' => new Map<String, Object> {
        'tags' => new List<String> { 'Middle', 'After', 'Fill Material' },
        'await_upload' => true
    }
};
    
sharinpix.OrgUtils.updateMobileAppConfig(config);
```

Example Mobile app config on the Sharinpix Admin dashboard after update:

![](/files/gfTVwRdkBz4dAPBtd6bN)

#### Using the updateMobileAppConfig method to clear the mobile app configurations.

The example below resets the organization's mobile app configuration.

```apex
Map<String, Object> config = new Map<String, Object>();

sharinpix.OrgUtils.updateMobileAppConfig(config);
```

Example Mobile app config on the Sharinpix Admin dashboard after reset:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sharinpix.com/documentation/cookbook/organization-utils-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
